#
# spec file for package python-py-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-py-doc
Version:        1.5.2
Release:        lp150.1.3
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
License:        MIT
Group:          Development/Languages/Python
Url:            https://py.readthedocs.io/en/latest/
Source:         https://files.pythonhosted.org/packages/source/p/py/py-%{version}.tar.gz
# Documentation requirements:
BuildRequires:  dos2unix
BuildRequires:  python3-Sphinx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Provides:       %{python_module py-doc = %{version}}

%description
The py lib is a Python development support library featuring
the following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg:  explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

This package contains the documentation for Babel


%prep
%setup -q -n py-%{version}
dos2unix LICENSE doc/*.txt doc/announce/*.txt

%build
cd doc && make html && rm -r _build/html/.buildinfo

%install
# Only building documentation

%files
%defattr(-,root,root,-)
%doc LICENSE doc/_build/html

%changelog
* Sun Nov 19 2017 arun@gmx.de
- specfile:
  * updated url
- update to version 1.5.2:
  * fix #169, #170: error importing py.log on Windows: no module named
    "syslog".
- changes from version 1.5.1:
  * fix #167 - prevent pip from installing py in unsupported Python
    versions.
* Wed Nov 15 2017 arun@gmx.de
- update to version 1.5.0:
  * python 2.6 and 3.3 are no longer supported
  * deprecate py.std and remove all internal uses
  * fix #73 turn py.error into an actual module
  * path join to / no longer produces leading double slashes
  * fix #82 - remove unsupportable aliases
  * fix python37 compatibility of path.sysfind on windows by correctly
    replacing vars
  * turn iniconfig and apipkg into vendored packages and ease
    de-vendoring for distributions
  * fix #68 remove invalid py.test.ensuretemp references
  * fix #25 - deprecate path.listdir(sort=callable)
  * add TerminalWriter.chars_on_current_line read-only property that
    tracks how many characters have been written to the current line.
* Fri Jun 30 2017 aloisio@gmx.com
- Update to 1.4.34
* Thu Feb 23 2017 jmatejek@suse.com
- update to 1.4.32
- use only python3-Sphinx to build docs
- provide $flavor-doc for all pythons
* Sat Sep  3 2016 p.drouand@gmail.com
- Update download Url
* Sat Jul 23 2016 michael@stroeder.com
- corrected homepage URL
- HTTPS URL for pypi source link
- update to version 1.4.31
  * fix local().copy(dest, mode=True) to also work with unicode.
  * pass better error message with svn EEXIST paths
* Thu Jul  2 2015 aj@ajaissle.de
- update to version 1.4.30
* Tue Jun 30 2015 aj@ajaissle.de
- Split documentation into separate package to avoid build loop
